/************************************************* ** 
SEOR USUARIO: tenga en cuenta que tendr que entrar la 
ruta (path) de la carpeta que contiene sus datos de entrada 

Por ejemplo si su archivo est en la 'C: en una carpeta llamada IPUMS
debe abrir su libreria en sas as: 
Libname ipumsdat 'C: \ IPUMS \'; 

y una segunda lnea de donde va a leer los datos asciidat(archivo plano) as:
filename asciidat 'C:\IPUMS\cm_1964.dat';
************************************************** ** / 
libname ipumsdat 'D:\IPUMS\';
filename asciidat 'D:\IPUMS\col_ipums_1964-1993.dat';


La declaracin PROC FORMAT almacenar los' formatos' sas en un conjunto de datos llamado
frmccaa_umn_edu_073. Para utilizar los formatos almacenados en un programa posterior, 
incluir un programa de declaracin para invocar la libreria de formatos. Por ejemplo: 

proc format cntlin = ipumsdat.frmccaa_umn_edu_073; run; 
proc freq; cuadros ao; formato aox aos.; plazo; 

Para obtener ms informacin, consultar la Gua de Procedimientos SAS seccin de PROC FORMAT. 
*******************************************************************************/

/*Mi libreria de trabajo esta en la unidad D carpeta 2008 y subcarpeta METADATO_MUESTRA_C64, luego
mi libreria es la siguiente:*/


libname  MC 'D:\2008\METADATO_MUESTRA_C64';

filename PLANO 'D:\2008\METADATO_MUESTRA_C64\archivo_plano\MC_1964.pet';

data MC.censo_M1964;
infile PLANO LRECL=251 pad missover;
input
 year           1-4
 persons        5-7
 wthh          8-16
 gq            17-18
 unrel         19
 urban         20
 regnco        21-22
 deptco        23-24
 metroco       25-26
 munico        27-29
 munhdco       30-31
 ownrshpd      32-34
 electrc         35
 Watsup        36-37
 Sewage        38-39
 fuelck        40-41
 phone         42
 trash         43-44
 rooms         45-46
 bedrms        47-48
 kitchen       49-50
 toilet        51-52
 floor         53-55
 wall          56-58
 roof          59-60
 nfams         61
 ncoupls       62
 nmothrs       63
 nfathrs       64
 pernum        65-67
 wtper         68-76
 momloc        77-79
 poploc        80-82
 sploc         83-85
 momrule      86-87
 poprule      88-89
 sprule       90-91
 stepmom      92
 steppop      93
 famunit      94-96
 famsize      97-98
 nchild       99
 nchlt5       100
 eldch        101-102
 yngch        103-104
 related      105-108
 age          109-111
 sex          112
 marstd       113-115
 consens      116
 chborn       117-118
 chsurv       119-120
 chbornf      121-122
 chbornm      123-124
 chsurvf      125-126
 chsurvm      127-128
 lstbmth      129-130
 lstbyr       131-134
 lststat      135
 mortmot      136
 abrdfem      137-138
 abrdmal      139-140
 nativty      141
 bplctry      142-146
 bplco1       147-148
 bplco2       149-151
 bplco3       152
 yrimm        153-156
 yrsimm       157-158
 yrsimm2      159
 ethnco       160
 school	      161
 lit     162
 edattand     163-165
 yrschl       166-167
 educco       168-170
 empstatd     171-173
 occisco      174-175
 occ          176-179
 indgen       180-182
 ind          183-187
 classwkd     188-190
 wrkmths      191-192
 inctot       193-199
 mgrate5      200-201
 mgratep      202-203
 mgctry1      204-208
 mgctry2      209-213
 migco1       214-215
 migco2       216-217
 migco3       218-220
 migco4       221-223
 mgcapco      224
 migurco      225-226
 mgyrs1       227-228
 mgmnths      229-230
 disable      231
 disblnd      232
 disdeaf      233
 dismute      234
 dislowr      235
 disuppr      236
 dismntl      237
;

label
 year="Ao"
 persons="Nmero de personas registradas en el hogar"
 wthh="Factor de expansin de hogares"
 gq="Lugares de alojamiento"
 unrel="Nmero de personas sin relacin de parentezco"
 urban="Estado Urbano-rural"
 regnco="Region"
 deptco="Departamento"
 metroco="Area metropolitana"
 munico="Municipio  (Con recodificacin)"
 munhdco="Zona de residencia del hogar"
 ownrshpd="Tenencia de la vivienda [versin detallada]"
 electrc="Servicio de energa elctrica"
 Watsup ="Suministro de agua"
 Sewage="Alcantarillado"
 fuelck="Combustible empleado para cocinar"
 phone="Servicio telefnico corriente"
 trash="Servicio de recoleccin de basura"
 rooms="Nmero de cuartos"
 bedrms="Nmero de cuartos para dormir"
 kitchen="Sitio empleado para cocinar"
 toilet="Servicio de sanitario (inodoro)"
 floor="Material predominante de los pisos"
 wall="Material predominante de las paredes"
 roof="Material predominande del techo"
 nfams="Nmero de familias en el hogar"
 ncoupls="Nmero de parejas casadas en el hogar"
 nmothrs="Nmero de madres en el hogar"
 nfathrs="Nmero de padres en el hogar"
 pernum="Nmero de personas"
 wtper="Factor de expansin de personas"
 momloc="Presencia de la Madre en el hogar"
 poploc="Presencia del padre en el hogar"
 sploc="Presencia del esposo en el hogar"
 momrule="Regla para vincular la madre"
 poprule="Regla para vincular padre"
 sprule="Regla para vincular al cnyuge"
 stepmom="Probable madrastra"
 steppop="Probable padrastro"
 famunit="Miembros de la unidad familiar"
 famsize="Nmero de miembros de la familia en el hogar"
 nchild="Nmero de hijos menores de 19 aos en el hogar"
 nchlt5="Nmero de hijos menores de 5 aos en el hogar"
 eldch="Edad de hijos menores de 19 aos en el hogar"
 yngch="Edad del hijo ms joven menor de 19 aos del hogar"
 related="Parentesco con el jefe del hogar"
 age="Edad"
 sex="Sexo"
 marstd="Estado civil (versin detallada)"
 consens="Unin concensual"
 chborn="Hijos nacidos"
 chsurv="Hijos  sobrevivientes"
 chbornf="Nmero de Hijas nacidas"
 chbornm="Nmero de Hijos nacidas"
 chsurvf="Nmero de nias sobrevivientes"
 chsurvm="Nmero de nios sobrevivientes"
 lstbmth="Mes del ltimo nacimiento"
 lstbyr="Ao del ltimo nacimiento"
 lststat="Condicin de sobrevivencia del ltimo nacido"
 mortmot="Sobreviviencia de la madre"
 abrdfem="Nmero de nias que viven en el extranjero"
 abrdmal="Nmero de nios que viven en el extranjero"
 nativty="Lugar donde naci"
 bplctry="Pas de nacimiento"
 bplco1="Departamento de  nacimiento"
 bplco2="Municipio de nacimiento (versin recodificada)"
 bplco3="Naci en este municipio?"
 empstatd="Situacin laboral [versin detallada]"
 yrimm="Ao de inmigracin"
 yrsimm="Aos desde que emigr"
 yrsimm2="Aos desde que emigr, categorizados"
 ethnco="Grupo etnico"
 school="Asistencia escolar"
 lit="Condicin de alfabetizacin"
 edattand="Nivel educativo, recodificacin internacional[versin detallada]"
 yrschl="Aos de escolaridad"
 educco="Nivel educativo"
 occisco="Ocupacin, Clasificacin Internacional Uniforme de Ocupaciones (CIUO)"
 occ="Ocupacin, no codificada"
 indgen="Rama de actividad, codificacin general"
 ind="Rama de actividad, no codificada"
 classwkd="Posicin ocupacional (Versin detallada)"
 wrkmths="Meses trabajados el ao pasado"
 inctot="Ingreso total"
 mgrate5="Estado de la migracin, hace 5 aos"
 mgratep="Estado de la migracin, residencia anterior"
 mgctry1="Pas de residencia anterior"
 mgctry2="Pas de residencia hace 5 aos"
 migco1="Departamento de residencia anterior"
 migco2="Departamento de residencia hace 5 aos"
 migco3="Municipio donde resida anteriormente"
 migco4="Municipio donde viva hace 5 aos"
 mgcapco="Capital del departamento donde viva hace 5 aos"
 migurco="Vivia en el centro urbao hace 5 aos"
 mgyrs1="Nmero de aos viviendo en la localidad actual"
 mgmnths="Meses de residencia en el municipio actual"
 disable="Condicin de discapacidad"
 disblnd="Ciego o de visin reducida"
 disdeaf="Sordo o con discapacidades auditivas"
 dismute="Mudo"
 dislowr="Discapacidad que afecta a las extremidades inferiores"
 disuppr="Discapacidad que afecta a extremidades superiores"
 dismntl="Discapacidad mental"
;
run;

